//*****************************************************************************
//* FILE NAME:       DiagCodes.h
//* FILE CONTAINS:
//* DESCRIPTION:     .
//* NOTES:           .
//*****************************************************************************
//*                   INTEL CORPORATION PROPRIETARY INFORMATION
//*     This software is supplied under the terms of a license agreement or
//*     nondisclosure agreement with Intel Corporation and may not be copied
//*     or disclosed except in accordance with the terms of that agreement.
//*           Copyright (c) 1995 Intel Corporation.  All Rights Reserved.
//*****************************************************************************

#ifndef D_DiagCodes_HeaderFile
#define D_DiagCodes_HeaderFile

#include "CompDiag.h"

#ifdef D_CompilerDiagnostics
   #pragma D_CompDiagMsg("Include")
#endif

//-----------------------------------------------------------------------------
// Generic diagnostic codes.
//-----------------------------------------------------------------------------

#define D_Errors                 0x00000001L
#define D_Warnings               0x00000002L
#define D_HighLevelInfo          0x00000004L
#define D_MidLevelInfo           0x00000008L
#define D_InterfaceInfo          0x00000010L

#define D_Unconditional          0xffffffffL

//-----------------------------------------------------------------------------
// Diagnostic codes for Win 2000 driver functions.
//-----------------------------------------------------------------------------

#define D_Win2000LowLevelInfo    0x00000020L
#define D_PerformanceInfo        0x00000040L

//=============================================================================
// Diagnostic codes.
//=============================================================================

//#define D_DiagCodeInit        D_Errors | D_Warnings
#define D_DiagCodeInit       D_Unconditional


extern  ULONG gulDbgCode;

#endif
