//*****************************************************************************
//* FILE NAME:       CompDiag.h
//* FILE CONTAINS:
//* DESCRIPTION:     Compiler diagnostics.
//* NOTES:           .
//*****************************************************************************
//*                   INTEL CORPORATION PROPRIETARY INFORMATION
//*     This software is supplied under the terms of a license agreement or
//*     nondisclosure agreement with Intel Corporation and may not be copied
//*     or disclosed except in accordance with the terms of that agreement.
//*           Copyright (c) 1995 Intel Corporation.  All Rights Reserved.
//*****************************************************************************

#ifndef D_CompDiag_HeaderFile
#define D_CompDiag_HeaderFile

#ifdef D_CompilerDiagnostics

   #define D_CompDiagMsg(msg) message("___MSG: (" __FILE__") " msg ".")
   #define D_CompErrorMsg(msg) message("___ERROR: (" __FILE__") " msg ".")

   #pragma D_CompDiagMsg("\"D_CompilerDiagnostics\" defined")
#else

   #define D_CompDiagMsg(msg) 
   #define D_CompErrorMsg(msg) 

#endif

//-----------------------------------------------------------------------------

#endif
