
/*M*                     
//                    INTEL CORPORATION PROPRIETARY INFORMATION
//      This software is supplied under the terms of a license agreement or
//      nondisclosure agreement with Intel Corporation and may not be copied
//      or disclosed except in accordance with the terms of that agreement.
//            Copyright (c) 1995 Intel Corporation.  All Rights Reserved.
//
*M*/
/*
 * $Log:   \\cospublic004\shareddata\ISC\ISC2x\NTWORK\SRC\imb\memif.h.v  $
 * 
 *    Rev 1.1   08 Dec 1998 10:55:48   jpaiasno
 * Added code to support async.
 * DPC events from the EMP console.
 * 
 *    Rev 1.2   24 Mar 1998 14:28:02   fkhanx
 * Added copyright headers
*/
// This is the structure used when requesting IOCTL_IMB_MAP_MEMORY
//
typedef LARGE_INTEGER PHYSICAL_ADDRESS;

#pragma pack(1)

typedef struct
{
    INTERFACE_TYPE   InterfaceType; // Isa, Eisa, etc....
    ULONG            BusNumber;     // Bus number
    PHYSICAL_ADDRESS BusAddress;    // Bus-relative address
    ULONG            AddressSpace;  // 0 is memory, 1 is I/O
    ULONG            Length;        // Length of section to map

} PHYSICAL_MEMORY_INFO, * PPHYSICAL_MEMORY_INFO;

#pragma pack()
